cURL
curl --request POST \
--url https://api.payrollintegrationsapp.com/v1/employer-identifiers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "Acme Corp 401k Employer Identifier",
"identifier": "ACME12345"
}
'import requests
url = "https://api.payrollintegrationsapp.com/v1/employer-identifiers"
payload = {
"displayName": "Acme Corp 401k Employer Identifier",
"identifier": "ACME12345"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({displayName: 'Acme Corp 401k Employer Identifier', identifier: 'ACME12345'})
};
fetch('https://api.payrollintegrationsapp.com/v1/employer-identifiers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "123e4567-e89b-12d3-a456-426614174000"
}{
"message": "<string>",
"errors": [
"<string>"
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}Employer Identifiers
Create Employer Identifier
Creates a new employer identifier
POST
/
v1
/
employer-identifiers
cURL
Learn more about Employer
Identifiers in the Glossary.
Authorizations
Bearer token obtained from the /v1/auth/token endpoint. Send as: Authorization: Bearer .
Body
application/json
Employer identifier creation request data
Response
Employer identifier created successfully
The unique identifier of the created employer identifier
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$